Bug 4557 - [UPDATE REQUEST] nvidia304-304.123-9
: [UPDATE REQUEST] nvidia304-304.123-9
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-10-20 14:18 MSD by Eugene Shatokhin
Modified: 2014-10-27 16:51 MSK (History)
3 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
denis.silakov: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Eugene Shatokhin 2014-10-20 14:18:31 MSD
A syntax error has been fixed in the spec file for nvidia304.
Comment 1 Eugene Shatokhin 2014-10-20 14:21:43 MSD
Advisory:
Fixed an error that prevented update-alternatives from working properly during the installation.

Build lists:
i586:
https://abf.rosalinux.ru/build_lists/2316332
x86_64:
https://abf.rosalinux.ru/build_lists/2316333

Hints for testing.
One needs GeForce 6 or 7 to test this update.
Comment 2 Vladimir Potapov 2014-10-24 14:00:10 MSD
How to check the driver? Previous version of XFdrake allow me two drivers version for test (and botch version work)
Comment 3 Andrey Ponomarenko 2014-10-24 15:43:01 MSD
ASUS EeePC 1015PN: OK (http://hw.rosalinux.ru/index.php?probe=ef2f940c06)
Comment 4 Eugene Shatokhin 2014-10-24 16:11:52 MSD
(In reply to comment #2)
> How to check the driver? Previous version of XFdrake allow me two drivers
> version for test (and botch version work)

If your video adapter is supported by nvidia304 only, you can just use XFdrake.

If it is supported both by nvidia304 and nvidia340, you can first install nvidia340 with XFdrake as usual, then install the following packages: dkms-nvidia304 and x11-driver-video-nvidia304. nvidia340 will be removed automatically during that process. 

If it is a system with hybrid graphics, you may also need to remove 'nomodeset' from the boot options.

Reboot and see what happens.
Comment 5 Andrey Ponomarenko 2014-10-24 16:22:05 MSD
ASUS N53JF (Optimus): OK (http://hw.rosalinux.ru/index.php?probe=bcb3cf30b6)
HP Pavilion dv8: OK (http://hw.rosalinux.ru/index.php?probe=4a6e63b43e)
Comment 6 Vladimir Potapov 2014-10-27 16:05:38 MSK
nvidia304-304.123-9 
http://abf-downloads.rosalinux.ru/rosa2014.1/container/2316332/i586/non-free/release/
http://abf-downloads.rosalinux.ru/rosa2014.1/container/2316333/x86_64/non-free/release/
*************************** Advisory ***********************
Fixed an error that prevented update-alternatives from working properly during the installation.
************************************************************
QA Verified